Subject: Re: bug#41736: 28.0.50; project.el - support global patterns for project-ignores

From: Theodor Thornhill <[email-masked]>
Date: Sat, 06 Jun 2020 10:10:59 +0000

On Sat, Jun 6, 2020 at 11:53, Basil L. Contovounesios <[email-masked]> wrote:

> Note that defcustoms are generally a user-level preference and should
> therefore generally not be modified by major modes or other Lisp.

> Yeah, absolutely. Unclear wording from my end.

What I mean is:

We seem to want the vc backend no matter what. However - if I open dired in root and execute “project-find-files” all the stuff I want ignored is not. I get the fast backend, but may search a million obfuscated minified files.

I think what I want is to be able to say:
1. Use the vc backed “major-mode” project
2. Use the vc backed “major-modes” project

Not sure how this would be implemented most clearly, but maybe the “project-vc-ignores” defcustom in init.el is the magic wand here?

If so - this bug report could be reduced to “add documentation to clarify this” :)

Theo